﻿using UnityEngine;
using System.Collections;

public class GlobalData : MonoBehaviour
{
    public static int CurrentLevel = 1;
    public static int MaxUnlockedLevel = 1;

    void Awake()
    {
        DontDestroyOnLoad(transform.gameObject);

        if (PlayerPrefs.HasKey("MaxUnlockedLevel"))
        {
            GlobalData.MaxUnlockedLevel = PlayerPrefs.GetInt("MaxUnlockedLevel");
        }
    }

    public static float PlayerSpeed()
    {
        float speed;

        if (GlobalData.CurrentLevel < 2)
        {
            speed = 1.5f;
        }
        else if (GlobalData.CurrentLevel < 6)
        {
            speed = 2f;
        }
        else if (GlobalData.CurrentLevel < 10)
        {
            speed = 2.5f;
        }
        else if (GlobalData.CurrentLevel < 14)
        {
            speed = 3f;
        }
        else if (GlobalData.CurrentLevel < 18)
        {
            speed = 4f;
        }
        else
        {
            speed = 5f;
        }

        return speed;
    }
}
