﻿using UnityEngine;
using System.Collections;

public class PlayerHead : MonoBehaviour
{
    public Player Player;
    public Transform AntennaLeft;
    public Transform AntennaRight;

    Quaternion _targetAntennaRotation;

    public float AntennaRotationSpeed = 4;

    // Use this for initialization
    void Start()
    {
        _targetAntennaRotation = AntennaLeft.localRotation;
    }

    // Update is called once per frame
    void Update()
    {
        if (AntennaLeft.localRotation != _targetAntennaRotation)
        {
            AntennaLeft.localRotation = Quaternion.Slerp(AntennaLeft.localRotation, _targetAntennaRotation, Time.deltaTime * AntennaRotationSpeed);
            AntennaRight.localRotation = Quaternion.Slerp(AntennaRight.localRotation, _targetAntennaRotation, Time.deltaTime * AntennaRotationSpeed);
        }
    }

    public void OnTriggerEnter(Collider other)
    {
        SendMessageUpwards("OnChildrenTriggerEnter", other);
    }

    public void OnCollisionEnter(Collision collision)
    {
        SendMessageUpwards("OnChildrenCollisionEnter", collision);
    }

    public void TurnAntenna(int angleMultiplier)
    {
        _targetAntennaRotation = Quaternion.Euler(0, 60 * angleMultiplier, 0);
    }
}
